/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */

import Head from 'next/head';
import Link from 'next/link';

import { InitializeGPT } from './google-publisher-tag';
import styles from './layout.module.css';

export default function Layout({ children, home }) {
  return (
    <div className={styles.content}>
      <Head>
        <meta charSet="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <InitializeGPT />
      </Head>
      <main>{children}</main>
      {!home && (
        <div className={styles.home}>
          <Link href="/">← Back to home</Link>
        </div>
      )}
    </div>
  );
}
